summaryrefslogtreecommitdiffstats
path: root/src/arrow/js/npm-release.sh
diff options
context:
space:
mode:
Diffstat (limited to '')
-rwxr-xr-xsrc/arrow/js/npm-release.sh28
1 files changed, 28 insertions, 0 deletions
diff --git a/src/arrow/js/npm-release.sh b/src/arrow/js/npm-release.sh
new file mode 100755
index 000000000..5d92d01cb
--- /dev/null
+++ b/src/arrow/js/npm-release.sh
@@ -0,0 +1,28 @@
+#!/usr/bin/env bash
+
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements. See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership. The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License. You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied. See the License for the
+# specific language governing permissions and limitations
+# under the License.
+set -e
+
+# validate the targets pass all tests before publishing
+yarn --frozen-lockfile
+yarn gulp
+
+read -p "Please enter your npm 2FA one-time password (or leave empty if you don't have 2FA enabled): " NPM_OTP </dev/tty
+
+# publish the JS target modules to npm
+yarn lerna exec --concurrency 1 --no-bail "npm publish${NPM_OTP:+ --otp=$NPM_OTP}"